%define TDSVER 7.0
%define name freetds
%define release 1mdk
%define version 0.61

Summary: 	An OpenSource implementation of the tubular data stream protocol. 
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		System/Libraries
Source: 	ftp://metalab.unc.edu/pub/Linux/ALPHA/freetds/%name-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
Url: 		http://www.freetds.org/

%define freetdslibdir %{_libdir}/freetds-%{version}
%define freetdsincludedir %{_includedir}/freetds/

%description
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.  Both
of these libraries have several programs know to compile and run against them.
ODBC is just a roughed in skeleton, and not useful for real work.

This package is built with support for TDS version %{TDSVER}.

%package devel
Summary: 	An OpenSource implementation of the tubular data stream protocol.
Group: 		Development/C
Requires:	freetds = %{version}-%{release}
Requires:	libtool
Provides:	freetds-devel
Obsoletes:	freetds-devel

%description devel
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. The freetds-devel allows you to compile
applications with freetds libraries.

This package is built with support for TDS version %{TDSVER}.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure2_5x --with-tdsver=%{TDSVER}

%make

%install

mkdir -p $RPM_BUILD_ROOT/interfaces

%makeinstall

chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples
cp -a -f samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mv $RPM_BUILD_ROOT/interfaces $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
#ln -s -f ../../../etc/freetds/interfaces $RPM_BUILD_ROOT/usr/share/freetds/interfaces

mkdir -p $RPM_BUILD_ROOT%{freetdslibdir}
mkdir -p $RPM_BUILD_ROOT%{freetdsincludedir}
#cp -a -f $RPM_BUILD_ROOT%_libdir/* $RPM_BUILD_ROOT%{freetdslibdir}
#cp -a -f $RPM_BUILD_ROOT/include/* $RPM_BUILD_ROOT%{freetdsincludedir}

#mv $RPM_BUILD_ROOT%{_datadir}/%{name} $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/etc/%{name}
pushd $RPM_BUILD_ROOT/etc/%{name}
ln -sf ../..%{_datadir}/%{name}-%{version}/interfaces/
popd

#remove unwanted files
rm -rf $RPM_BUILD_ROOT%_sysconfdir/locales.conf

%post
LDSOBACK='/etc/backup-ld.so.conf'
if [ ! -e $LDSOBACK ]; then
	cp -f /etc/ld.so.conf $LDSOBACK
fi
if ! egrep -q "%{freetdslibdir}" /etc/ld.so.conf; then
	echo "%{freetdslibdir}" >> /etc/ld.so.conf
fi
ldconfig

%postun
LDSOTEMP=`mktemp -q /tmp/%{name}-install.XXXXXX`
if [ -e $LDSOTEMP ]; then
	grep -v '%{freetdslibdir}' /etc/ld.so.conf >$LDSOTEMP
	mv -f $LDSOTEMP /etc/ld.so.conf
fi
ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README PWD
%config(noreplace) %{_sysconfdir}/freetds.conf
%config(noreplace) %{_sysconfdir}/pool.conf
%dir %{_datadir}/%{name}-%{version}
%{_libdir}/*.so.*
%{_datadir}/%{name}-%{version}/interfaces
#%dir %_sysconfdir/freetds/interfaces
%_mandir/man1/*
%_bindir/*

%files devel
%defattr(-,root,root)
%doc TODO
%{_libdir}/*.la
%{_libdir}/*.a
%{_datadir}/%{name}-%{version}/samples
%{_includedir}/*.h


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-1mdk
- 0.61
- use the %%configure2_5x macro
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.60-2mdk
- make it provide

* Thu Jan 23 2003 lenny@mandrakesoft.com 0.60-2mdk
- rebuild

* Wed Sep 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.60-1mdk
- 0.60

* Wed Jun 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.53.1-1mdk
- updated by Franck Martin <franck@sopac.org> :
	- Make it work with PHP 4.1.2 by using snapshot

* Thu Feb 24 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.53-2mdk
- Upload problem. Re-upload.

* Wed Feb 23 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.53-1mdk
- 0.53

* Mon Jul 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.52-1mdk
- added in contribs by Franck Martin <franck@sopac.org> :
	- Repackaged with newer freetds version

* Thu Jul 05 2001 Franck Martin <franck@sopac.org> 0.51-1mdk
- Packaged for Mandrake 8.0
